## com.blogspot.applications4android.comicreader
Class ActivitySettingsPage

    java.lang.Object
      PreferenceActivity
          com.blogspot.applications4android.comicreader.ActivitySettingsPage

    public class ActivitySettingsPage

extends PreferenceActivity

Main class for comic-reader settings

Field Summary
`static java.lang.String` `LAST_SYNC_PREF` key storing the last time synced
`static java.lang.String` `LAST_SYNC_STRING_PREF` key storing the last time synced as a string
`static long` `ONE_DAY` milliseconds in a day

Constructor Summary
`ActivitySettingsPage()`

Method Summary
`static boolean` `checkForLastSynced(Context ctx)` Checks when was the last time sync was performed
`static void` `launchRepeatedCaching(Context ctx, boolean force)` Start/setup the caching service
`protected void` `onCreate(Bundle savedInstanceState)`
`protected void` `onPause()`
`static void` `setupDefaults(Activity act)` Sets up the default values for background caching

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_DAY

    public static final long ONE_DAY

  milliseconds in a day

  See Also:
    Constant Field Values

### LAST_SYNC_PREF

    public static final java.lang.String LAST_SYNC_PREF

  key storing the last time synced

  See Also:
    Constant Field Values

### LAST_SYNC_STRING_PREF

    public static final java.lang.String LAST_SYNC_STRING_PREF

  key storing the last time synced as a string

  See Also:
    Constant Field Values

Constructor Detail

### ActivitySettingsPage

    public ActivitySettingsPage()

Method Detail

### onCreate

    protected void onCreate(Bundle savedInstanceState)

### onPause

    protected void onPause()

### setupDefaults

    public static void setupDefaults(Activity act)

  Sets up the default values for background caching

  Parameters:
    `act` - activity calling this function

### launchRepeatedCaching

    public static void launchRepeatedCaching(Context ctx,
                                             boolean force)

  Start/setup the caching service

  Parameters:
    `ctx` - context used
    `force` - forcefully setup the alarm even if background caching is currently disabled This will NOT cache the strips, but'll only setup the alarm

### checkForLastSynced

    public static boolean checkForLastSynced(Context ctx)

  Checks when was the last time sync was performed

  Parameters:
    `ctx` - context
  Returns:
    true if there needs to be a sync to be performed now